=== debian/control ===
Source: ros-one-pointcloud-to-laserscan
Section: misc
Priority: optional
Maintainer: Paul Bovbel <paul@bovbel.com>
Build-Depends: debhelper (>= 9.0.0), ros-one-catkin, ros-one-laser-geometry, ros-one-message-filters, ros-one-nodelet, ros-one-roscpp, ros-one-sensor-msgs, ros-one-tf2, ros-one-tf2-ros, ros-one-tf2-sensor-msgs
Homepage: http://ros.org/wiki/perception_pcl
Standards-Version: 3.9.2

Package: ros-one-pointcloud-to-laserscan
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-one-laser-geometry, ros-one-message-filters, ros-one-nodelet, ros-one-roscpp, ros-one-sensor-msgs, ros-one-tf2, ros-one-tf2-ros, ros-one-tf2-sensor-msgs
Description: Converts a 3D Point Cloud into a 2D laser scan.
 This is useful for making devices like the Kinect appear like a laser scanner for 2D-based algorithms (e.g. laser-based SLAM).
