## ros-one-pointcloud-to-laserscan 1.4.1-1jammy.20251207.2322

=== debian/changelog ===
ros-one-pointcloud-to-laserscan (1.4.1-1jammy.20251207.2322) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Paul Bovbel <paul@bovbel.com>  Sun, 07 Dec 2025 23:22:38 +0000
