## ros-one-pointcloud-to-laserscan 1.4.1-1jammy.20260221.2216

=== debian/changelog ===
ros-one-pointcloud-to-laserscan (1.4.1-1jammy.20260221.2216) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Paul Bovbel <paul@bovbel.com>  Sat, 21 Feb 2026 22:16:53 +0000
