## ros-one-pointcloud-to-laserscan 1.4.1-1noble.20251023.1114

=== debian/changelog ===
ros-one-pointcloud-to-laserscan (1.4.1-1noble.20251023.1114) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Paul Bovbel <paul@bovbel.com>  Thu, 23 Oct 2025 11:14:32 +0000

ros-one-pointcloud-to-laserscan (1.4.1-0noble) noble; urgency=high

  * LaserScan to PointCloud node + nodelet (#28 <https://github.com/ros-perception/pointcloud_to_laserscan/issues/28>)
  * fix roslint (#29 <https://github.com/ros-perception/pointcloud_to_laserscan/issues/29>)
  * Merge pull request #20 <https://github.com/ros-perception/pointcloud_to_laserscan/issues/20> from ros-perception/range_max_check
    Add check for range_max
  * Add check for range_max
  * Contributors: Paul Bovbel, Rein Appeldoorn

 -- Paul Bovbel <paul@bovbel.com>  Fri, 30 Aug 2019 00:00:00 -0000

ros-one-pointcloud-to-laserscan (1.4.0-0noble) noble; urgency=high

  * Added inf_epsilon parameter that determines the value added to max range when use_infs parameter is set to false
  * Merge pull request #11 <https://github.com/ros-perception/pointcloud_to_laserscan/issues/11> from ros-perception/mikaelarguedas-patch-1
    update to use non deprecated pluginlib macro
  * Migrate to package format 2; add roslint
  * Add sane parameter defaults; fixup lint warnings
  * update to use non deprecated pluginlib macro
  * Contributors: Mikael Arguedas, Paul Bovbel, Prasanna Kannappan

 -- Paul Bovbel <paul@bovbel.com>  Tue, 14 Nov 2017 00:00:00 -0000

ros-one-pointcloud-to-laserscan (1.3.1-0noble) noble; urgency=high

  * Merge pull request #4 <https://github.com/ros-perception/pointcloud_to_laserscan/issues/4> from yoshimalucky/fix-miscalculation-in-angle-increment
    Fixed miscalculation in angle_increment in the launch files.
  * fixed miscalculation in angle_increment in the launchfiles.
  * Contributors: Paul Bovbel, yoshimalucky

 -- Paul Bovbel <paul@bovbel.com>  Wed, 26 Apr 2017 00:00:00 -0000

ros-one-pointcloud-to-laserscan (1.3.0-0noble) noble; urgency=high

  * Fix pointcloud to laserscan transform tolerance issues
  * Move pointcloud_to_laserscan to new repository
  * Contributors: Paul Bovbel

 -- Paul Bovbel <paul@bovbel.com>  Tue, 09 Jun 2015 00:00:00 -0000

ros-one-pointcloud-to-laserscan (1.2.7-0noble) noble; urgency=high

  * Cleanup pointcloud_to_laserscan launch files
  * Contributors: Paul Bovbel

 -- Paul Bovbel <paul@bovbel.com>  Mon, 08 Jun 2015 00:00:00 -0000

ros-one-pointcloud-to-laserscan (1.2.6-0noble) noble; urgency=high

  * Fix default value for concurrency
  * Fix multithreaded lazy pub sub
  * Contributors: Paul Bovbel

 -- Paul Bovbel <paul@bovbel.com>  Wed, 04 Feb 2015 00:00:00 -0000

ros-one-pointcloud-to-laserscan (1.2.5-0noble) noble; urgency=high

  * Switch to tf_sensor_msgs for transform
  * Set parameters in sample launch files to default
  * Add tolerance parameter
  * Contributors: Paul Bovbel

 -- Paul Bovbel <paul@bovbel.com>  Tue, 20 Jan 2015 00:00:00 -0000

ros-one-pointcloud-to-laserscan (1.2.4-0noble) noble; urgency=high

  * Remove stray dependencies
  * Refactor with tf2 and message filters
  * Remove roslaunch check
  * Fix regressions
  * Refactor to allow debug messages from node and nodelet
  * Contributors: Paul Bovbel

 -- Paul Bovbel <paul@bovbel.com>  Thu, 15 Jan 2015 00:00:00 -0000

ros-one-pointcloud-to-laserscan (1.2.3-0noble) noble; urgency=high

  * add launch tests
  * refactor naming and fix nodelet export
  * set default target frame to empty
  * clean up package.xml
  * Contributors: Paul Bovbel

 -- Paul Bovbel <paul@bovbel.com>  Sat, 10 Jan 2015 00:00:00 -0000

ros-one-pointcloud-to-laserscan (1.2.2-0noble) noble; urgency=high

  * clean up package.xml
  * Fix header reference
  * Fix flow
  * Fix pointer assertion
  * Finalize pointcloud to laserscan
  * Initial pointcloud to laserscan commit
  * Contributors: Paul Bovbel

 -- Paul Bovbel <paul@bovbel.com>  Sat, 25 Oct 2014 00:00:00 -0000
