## ros-one-pointcloud-to-laserscan 1.4.1-1noble.20251208.1016

=== debian/changelog ===
ros-one-pointcloud-to-laserscan (1.4.1-1noble.20251208.1016) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Paul Bovbel <paul@bovbel.com>  Mon, 08 Dec 2025 10:16:01 +0000
