## ros-one-pointcloud-to-laserscan 1.4.1-1noble.20260221.2312

=== debian/changelog ===
ros-one-pointcloud-to-laserscan (1.4.1-1noble.20260221.2312) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Paul Bovbel <paul@bovbel.com>  Sat, 21 Feb 2026 23:12:53 +0000
